{
	"name": "webapp",
	"private": true,
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"test:unit": "vitest",
		"test": "npm run test:unit -- --run",
		"lint": "eslint ."
	},
	"devDependencies": {
		"@eslint/compat": "^2.0.2",
		"@eslint/js": "^9.39.2",
		"@fontsource-variable/inter": "^5.2.8",
		"@internationalized/date": "^3.12.0",
		"@lucide/svelte": "^1.8.0",
		"@sveltejs/adapter-auto": "^7.0.0",
		"@sveltejs/kit": "^2.50.2",
		"@sveltejs/vite-plugin-svelte": "^6.2.4",
		"@tailwindcss/vite": "^4.1.18",
		"@types/node": "^24",
		"@vitest/browser-playwright": "^4.0.18",
		"bits-ui": "^2.16.3",
		"clsx": "^2.1.1",
		"eslint": "^9.39.2",
		"eslint-plugin-svelte": "^3.14.0",
		"globals": "^17.3.0",
		"playwright": "^1.58.1",
		"shadcn-svelte": "^1.2.7",
		"socket.io-client": "^4.8.3",
		"svelte": "^5.49.2",
		"svelte-check": "^4.3.6",
		"tailwind-merge": "^3.5.0",
		"tailwind-variants": "^3.2.2",
		"tailwindcss": "^4.1.18",
		"tw-animate-css": "^1.4.0",
		"typescript": "^5.9.3",
		"typescript-eslint": "^8.54.0",
		"vite": "^7.3.1",
		"vite-plugin-pwa": "^1.2.0",
		"vitest": "^4.0.18",
		"vitest-browser-svelte": "^2.0.2"
	}
}
